Skip to main content
POST
Add child account

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

ID
string
required

The id or the vid of the Account to add a child account A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128

Query Parameters

force
boolean
default:false

Force will override any existing parent accounts of the child account

payer_replacement_behavior
enum<string>
default:ReplaceOnlyFutureAutoBills

Can be ReplaceOnAllAutoBills, ReplaceOnlyFutureAutoBills

Available options:
ReplaceOnAllAutoBills,
ReplaceOnlyFutureAutoBills

Body

application/json

JSON - A new or existing Account.

The Account represents a merchant’s customer. As such it can contain as much or as little information as you collect about the customers (people or organizations) to which you offer billing and subscriptions. Subscriptions and Transactions must belong to an Account - as such, Accounts will be required in CashBox for billing. Read More in our User Guide

An Account can have any number of children accounts and may have up to one parent account. Read more in our User Guide.

An Account owns the “on file” payment methods to be used by it in billing.

object
enum<string>
required

Value is “Account”

Available options:
Account
id
string
required

A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
name
string
required

The name of the person primarily associated with this Account.

vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.

Maximum string length: 128
external_id
string

An additional merchant-specified unique identifier for when you have two external (non-CashBox) systems using two different identification schemes for the same customer. It can be used in place of vid or i

created
string<datetime>

The date/time the Account was created.

parent
any

The parent (Account) id or vid of this Account

default_currency
string

The currency used on subscriptions and transactions belonging to this Account when not explicitly specified. An ISO 4217 Currency Code.

email
string

The email address associated with this Account.

email_type
enum<string>

The email format type preferred by this customer.

Available options:
html,
multipart,
plaintext
language
string

The language (code) preferred for communications.

notify_before_billing
boolean

Whether or not to send this customer pre-billing notification (emails).

company
string

The company name of the customer if a business Account.

shipping_address
object

The Address object represents a physical or mailing address.

payment_methods
object

The payment methods on file for this Account.

metadata
object

Metadata are sets of key-value pairs and are useful for storing additional, structured information on an object. This object is used to store a list of keys, which you create and associate with text string values. You use these key-value pairs to store custom data for your own internal tracking purposes, or to store CashBox specific data for defined CashBox purposes.

The metadata field supports key-value pairs with the following limitations:

Keys can be up to 256 characters

Keys can be any string that is needed, except only CashBox can prefix keys with vin:

Values can be up to 1024 characters

In some cases metadata from one object will be inherited automatically from one object to another that is spawned from it. e.g. metadata on a Subscription and SubscriptionItem will be inherited by all Transactions and TransactionItems that result from them.

tax_exemptions
object[]

Tax Exemptions registered for this Account.

tokens
object[]

The token balances for this Account.

credit
object[]

The account-level credit balances for this Account.

entitlements
object[]

The account-level entitlements for this Account.

tax_use_code
string

Special Tax Handling rules defined with CSP’s tax service.

Response

JSON - An Account object.

The Account represents a merchant’s customer. As such it can contain as much or as little information as you collect about the customers (people or organizations) to which you offer billing and subscriptions. Subscriptions and Transactions must belong to an Account - as such, Accounts will be required in CashBox for billing. Read More in our User Guide

An Account can have any number of children accounts and may have up to one parent account. Read more in our User Guide.

An Account owns the “on file” payment methods to be used by it in billing.

object
enum<string>
required

Value is “Account”

Available options:
Account
id
string
required

A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
name
string
required

The name of the person primarily associated with this Account.

vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.

Maximum string length: 128
external_id
string

An additional merchant-specified unique identifier for when you have two external (non-CashBox) systems using two different identification schemes for the same customer. It can be used in place of vid or i

created
string<datetime>

The date/time the Account was created.

parent
any

The parent (Account) id or vid of this Account

default_currency
string

The currency used on subscriptions and transactions belonging to this Account when not explicitly specified. An ISO 4217 Currency Code.

email
string

The email address associated with this Account.

email_type
enum<string>

The email format type preferred by this customer.

Available options:
html,
multipart,
plaintext
language
string

The language (code) preferred for communications.

notify_before_billing
boolean

Whether or not to send this customer pre-billing notification (emails).

company
string

The company name of the customer if a business Account.

shipping_address
object

The Address object represents a physical or mailing address.

payment_methods
object

The payment methods on file for this Account.

metadata
object

Metadata are sets of key-value pairs and are useful for storing additional, structured information on an object. This object is used to store a list of keys, which you create and associate with text string values. You use these key-value pairs to store custom data for your own internal tracking purposes, or to store CashBox specific data for defined CashBox purposes.

The metadata field supports key-value pairs with the following limitations:

Keys can be up to 256 characters

Keys can be any string that is needed, except only CashBox can prefix keys with vin:

Values can be up to 1024 characters

In some cases metadata from one object will be inherited automatically from one object to another that is spawned from it. e.g. metadata on a Subscription and SubscriptionItem will be inherited by all Transactions and TransactionItems that result from them.

tax_exemptions
object[]

Tax Exemptions registered for this Account.

tokens
object[]

The token balances for this Account.

credit
object[]

The account-level credit balances for this Account.

entitlements
object[]

The account-level entitlements for this Account.

tax_use_code
string

Special Tax Handling rules defined with CSP’s tax service.